<!-- <span id="showResultsCount" class="top-minus-5 mr-2">
    <span class="text-muted ">1-{{selectPaginator}}  of {{this.dictionary?.length}} result(s)</span>
</span> -->
<ejs-grid [dataSource]='dictionary' id="dtc-structure-grid" (cellSave)='cellSave($event)' allowPaging='true'
    allowSorting='true'[sortSettings]='dictionarySort'
    [toolbar]="dictionaryToolBar" [pageSettings]='gridPageSettings' showColumnChooser='true' 
    class="m-2" [editSettings]='editSettings'>
    <e-columns>
        <e-column field='Name' isPrimaryKey='true' width='100'
            headerText="{{ i18Labels.Detailedcatalogview['COLUMN NAME'] }}"></e-column>
        <e-column field='attr_id' isPrimaryKey='true' width='100'
            headerText="{{ i18Labels.Detailedcatalogview['COLUMN ID'] }}"></e-column>
        <e-column field='Type' [allowEditing]='false' width='100'
            headerText="{{ i18Labels.Detailedcatalogview['DATA TYPE'] }}"></e-column>
        <e-column field='Logical Name' width='100' headerText="{{ i18Labels.Detailedcatalogview['Logical Name'] }}">
        </e-column>
        <e-column field='Business Description' width='100'
            headerText="{{ i18Labels.Detailedcatalogview['Business Description'] }}" clipMode='EllipsisWithTooltip'>
        </e-column>
    </e-columns>
</ejs-grid>
<span class="d-flex float-right mr-2 top-minus-42" id="dictionaryTemplate1">
    <span class="text-dark ml-5 mr-2 mt-1 pt-1">Results Per Page </span>
    <span class="mt-1">
        <ejs-dropdownlist name="pageSize" cssClass="e-outline"
            [dataSource]="PaginationList" [value]="selectPaginator"  (change)="changePage($event)"
            width="75px">
        </ejs-dropdownlist>
    </span>
</span>